%bcond_without  tests

Name:           python-blessings
Version:        1.7
Release:    1%{?dist}
Summary:        Thin, practical wrapper around terminal coloring, styling, and positioning
License:        MIT
URL:            https://github.com/erikrose/blessings
Source0:         %{pypi_source blessings}
Patch0:          0001-fix-tests-when-run-without-a-tty-fixes-25.patch
Patch1:          0002-more-fixes-for-tests-without-a-tty.patch
BuildArch:      noarch

%global _description %{expand:
Blessings lifts several of curses' limiting assumptions, and it makes your code
pretty, too:

* Use styles, color, and maybe a little positioning without necessarily
  clearing the whole screen first.
* Leave more than one screenful of scrollback in the buffer after your program
  exits, like a well-behaved command-line app should.
* Get rid of all those noisy, C-like calls to tigetstr and tparm, so your code
  does not get crowded out by terminal bookkeeping.
* Act intelligently when somebody redirects your output to a file, omitting the
  terminal control codes the user does not want to see (optional).}

%description %{_description}

%package -n python3-blessings
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-blessings %{_description}

%prep
%autosetup -p 1 -n blessings-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files blessings

%check
%if %{with tests}
%tox
%else
%pyproject_check_import -e blessings.tests
%endif

%files -n python3-blessings -f %{pyproject_files}
%doc README.rst

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-1
- initial build
